Subject: bug#27060: ‘Semantic helper for text compose

From: Stefan Kangas <[email-masked]>
Date: Wed, 2 Oct 2019 13:36:40 +0200

Hi Boris,

It is the policy of Emacs to only collaborate with free software
projects.  Since we still haven't seen any details on what the license
of this project is or any link to the source code, I don't think we
will be interested in pursuing this.

Thank you for writing back.

Best regards,
Stefan Kangas

Boris Pevzner <[email-masked]> writes:
>
> Dear Mr. Stefan Kangas, thank you for your interest to my project.  I am Boris Pevzner, PhD and free developer. I work alone.
>
> 1. My main aim doesn’t connect with advertising service.
>
> 2. The status of my project is a demo-model but not output product.
>
> 3. My main aim is to find out a partner to work together with him and to share the owner of my project.
>
> 4. I have a working prototype of my project including source code.
>
> 5. The code should be converted into the code of output product. My model doesn’t have access to British national corpus (BNS) and we didn’t make agreement with BNS.
>
> 6. If the situation is suitable to you in principle we can discuss all details.
>
> 7. We didn’t test how our model   operates in the GNU operating system
>
> Best regards Boris Pevzner
>
>
>
>
> On Sun, 29 Sep 2019 at 05:43, Stefan Kangas <[email-masked]> wrote:
>>
>> tags 27060 + moreinfo
>> quit
>>
>> Boris Pevzner <[email-masked]> writes:
>>
>> > Semantic helper for text compose.
>> >
>> >  Semantic  helper for text compose  allows users to write text using our prediction semantic write algorithm. The helper works together with any standard editors including Emacs.
>> >
>> > The helper gives word suggestions extracted from a corpus of English sentences, in the case when an user faced difficult to typing  a word in composing text. The algorithm gives some alternative options which are not connected with alphabetic writing,
>> > but more to semantic meaning (concept) of the words suitable for the user’s context. This system will be useful for an user having non-English mother language.
>> >
>> > Our potential users are students ( creating home tasks), writers (creating manuscripts), scientists  (creating reports, reviews ) and so on. The helper can be applied  on PC ( with great screen) but not on mobile devices.
>> >
>> > We made a working prototype.
>> [...]
>> > On 24 May 2017 at 21:06, Glenn Morris <[email-masked]> wrote:
>> >
>> >  It sounds to me like you might be advertising a proprietary service?
>> >  If you are, we're not interested, thanks.
>> >  If not, please indicate where your source code can be found, and outline
>> >  how you propose using it with Emacs. At the moment you haven't given any
>> >  details at all.
>> >  Thanks in advance.
>>
>> What is the license of this software?  Is it free software?
>>
>> https://www.gnu.org/philosophy/free-sw.html
>>
>> Best regards,
>> Stefan Kangas